Page MenuHomePhabricator

cancel modal
Closed, ResolvedPublic5 Story Points

Description

Problem:
We currently don't let the user get out of the modal without reloading the page. We should let them do this in a better way.

Screenshots/mockups:
Cancel button in the top left corner ButtonWidget (frameless, icon only)

BDD
GIVEN a Wikidata Bridge modal
WHEN I click cancel
THEN the modal is closed
AND my changes are lost

Acceptance criteria:

  • pressing cancel closes the modal
  • pressing esc closes the modal
  • clicking outside the modal does nothing
  • there will be no warning when closing the modal
  • all unsaved changes will be lost

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 27 2019, 9:29 AM
Pablo-WMDE renamed this task from Add cancel button to Add cancel/close button.Aug 29 2019, 9:05 AM
Pablo-WMDE added a subscriber: Charlie_WMDE.
Lydia_Pintscher renamed this task from Add cancel/close button to get out of modal.Sep 2 2019, 8:14 PM
Lydia_Pintscher updated the task description. (Show Details)
Lydia_Pintscher moved this task from Needs work to Ready to estimate on the Wikidata-Bridge board.

@Charlie_WMDE mockup prettyplz

Charlie_WMDE updated the task description. (Show Details)Sep 3 2019, 11:31 AM
darthmon_wmde renamed this task from get out of modal to cancel modal.Sep 10 2019, 8:50 AM
darthmon_wmde set the point value for this task to 5.Sep 10 2019, 8:55 AM
Lydia_Pintscher triaged this task as High priority.Sep 20 2019, 10:50 AM
Lydia_Pintscher closed this task as Resolved.Mon, Oct 7, 8:56 AM
Lydia_Pintscher claimed this task.
Lydia_Pintscher moved this task from Verification to Done on the Wikidata-Bridge-Sprint-6 board.

\o/